<?php

namespace App\Filament\Resources\Categories\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class CategoryForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('name')
                    ->label('Ady')
                    ->required(),
                TextInput::make('icon')
                    ->label('Ikonkasy'),
                TextInput::make('order')
                    ->label('Tertibi')
                    ->required()
                    ->numeric()
                    ->default(0),
            ]);
    }
}
